Get Beneficiary ID
curl --request GET \
--url https://payout-api.cashfree.com/payout/v1/getBeneId \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://payout-api.cashfree.com/payout/v1/getBeneId"
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'}
};
fetch('https://payout-api.cashfree.com/payout/v1/getBeneId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESS",
"subCode": "200",
"message": "beneId retrieved successfully",
"data": {
"beneId": "JOHN18011"
}
}{
"status": "ERROR",
"subCode": "403",
"message": "APIs not enabled. Please fill out the [Support Form](https://merchant.cashfree.com/merchants/landing?env=prod&raise_issue=1)"
}{
"status": "ERROR",
"subCode": "404",
"message": "Beneficiary not found with given bank account details"
}Beneficiary
Get Beneficiary ID
Use this API to get the beneficiary ID by providing the bank account number and ifsc.
GET
/
payout
/
v1
/
getBeneId
Get Beneficiary ID
 This API will be retired soon. Please plan to migrate to the latest version, Beneficiary V2.
Click to view the response codes.
Click to view the response codes.
| Sub code | Status | Message | Next action |
|---|---|---|---|
| 200 | SUCCESS | BeneId retrieved successfully | - |
| 52 | ERROR | Error while fetching beneId | Retry or try again after some time. |
| 403 | ERROR | Token is not valid | Validate the generated token. |
| 403 | ERROR | IP not whitelisted | Whitelist the IP address. |
| 404 | ERROR | Beneficiary not found with given bank account details | Enter a valid bank account number and IFSC. |
| 412 | ERROR | Token missing in the request | Enter the generated token as the value for Authorization under Headers in this format: Bearer <token>. |
| 422 | ERROR | Please provide a valid bank account and ifsc | Enter a valid bank account number and IFSC. |
| 422 | ERROR | Please provide both bank account and ifsc | Enter both the bank account number and IFSC. |
| 422 | ERROR | Please provide a valid ifsc | Enter a valid IFSC. |
Query Parameters
Beneficiaries bank account number, alphanumeric ( >=6 and <= 40 characters).
Beneficiaries bank's IFSC code (standard IFSC format) - length 11, first four IFSC and 5th character must be 0.
Was this page helpful?
āI